1 - 1.1
get /v1/clusters/{cluster_id}/instances/{instance_name}
Description
Show Instance.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| path | instance_name required | Instance name Example : | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | InstanceDetailResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/instances/{instance_name}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = sqlserver 1.1"
Example HTTP response
Response 200
{
"account_id": "",
"block_storages": [
{
"name": "",
"role_type": "OS",
"size_gb": "",
"volume_type": "SSD"
}
],
"cluster_id": "",
"cluster_name": "",
"cpu_core": "",
"created_at": "2024-01-15T10:30:00.000Z",
"created_by": "",
"dbaas_engine": "",
"memory_gb": "",
"modified_at": "2024-01-15T10:30:00.000Z",
"modified_by": "",
"name": "",
"os_type": "",
"os_version": "",
"product_image_type": "",
"product_type": "",
"public_ip_address": "",
"public_ip_id": "",
"region": "",
"role_type": "",
"server_type_name": "",
"service_ip_address": "",
"service_state": "RUNNING",
"software_version": "",
"zone": ""
}